# 32/64bit spec
#
Summary:	Integrated Java environment
Summary(de):	Entwicklungsumgebung für Java
Name:		bluej
Version:	413
Release:	%mkrel 1
Source0:	%{name}-%{version}.tar.xz
License:	BSD
Group:		Development/Java
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
URL:		http://www.bluej.org/
Requires:	java-1.8.0-sun 
Requires:	java-1.8.0-sun-devel  
Requires:	java-1.8.0-sun-plugin 
Requires:	java-1.8.0-sun-alsa
Requires:	java-1.8.0-sun-fonts

%description
The BlueJ environment was developed as part of a university
research project about teaching object-orientation to beginners.
The system is being developed and maintained by a joint research
group at La Trobe University, Melbourne, Australia, and the
University of Kent in Canterbury, UK. The project is supported
by Sun Microsystems.

%description -l de
Die BlueJ Umgebung wurde als Teil eines Universitätsforschungsprojekts 
entwickelt, mit dem Ziel die Objektorientierung Anfängern beizubringen.
Das System wird von einer gemeinsamen Forschungsgruppe der La Trobe Universität,
Melbourne, Australien und der Universität von Kent in Canterbury, UK, entwickelt und
betreut. Das Projekt wird von Sun Microsystems unterstützt.

Einige Beispiele sind im Ordner /usr/share/doc/BlueJ/examples zu finden.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/doc/BlueJ
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/512x512/apps
mkdir -p %{buildroot}%{_datadir}/%name

cp -r lib %{buildroot}%{_datadir}/%name
cp -r examples %{buildroot}%{_datadir}/doc/BlueJ
cp -r LICENSE.txt %{buildroot}%{_datadir}/doc/BlueJ
cp -r THIRDPARTYLICENSE.txt %{buildroot}%{_datadir}/doc/BlueJ
cp -r bluej %{buildroot}%{_bindir}
cp -r icons/bluej-84-toned.jpg %{buildroot}%{_datadir}/pixmaps
cp -r icons/bluej-icon-512-embossed.png %{buildroot}%{_datadir}/icons/hicolor/512x512/apps

# Fix start script
rm -rf %{buildroot}%{_bindir}/bluej
cat > %{buildroot}%{_bindir}/bluej << EOF
#!/bin/sh
java -jar /usr/share/bluej/lib/bluej.jar
EOF

chmod +x %{buildroot}%{_bindir}/bluej

# create desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%name.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=BlueJ
Comment=A simple powerful Java IDE
Comment[de]=Eine einfache und mächtige Java IDE
Categories=Application;Development;X-MandrivaLinux-MoreApplications-Development-Tools;
Exec=bluej
Icon=/usr/share/pixmaps/bluej-84-toned.jpg
Terminal=false
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/bluej
%{_datadir}/applications/bluej.desktop
%{_datadir}/bluej/lib/*
%{_datadir}/doc/BlueJ/*
%{_datadir}/icons/hicolor/512x512/apps/bluej-icon-512-embossed.png
%{_datadir}/pixmaps/bluej-84-toned.jpg

%changelog
* Sun Sep 16 2018 ghostbunny <ghostbunny at gmx dot de> 413-1pclos2018
- 413

* Wed Mar 28 2018 ghostbunny <ghostbunny at gmx dot de> 412-1pclos2018
- 412

* Wed Oct 04 2017 ghostbunny <ghostbunny at gmx dot de> 411-1pclos2017
- 411

* Mon Apr 10 2017 ghostbunny <ghostbunny at gmx dot de> 401-1pclos2017
- 401

* Sat Mar 05 2016 ghostbunny <ghostbunny at gmx dot de> 317-1pclos2016
- 317

* Sun Nov 22 2015 ghostbunny <ghostbunny at gmx dot de> 316-1pclos2015
- 316

* Sat Apr 11 2015 ghostbunny <ghostbunny at gmx dot de> 315-1pclos2015
- 315
- update java deps

* Sun Dec 07 2014 ghostbunny <ghostbunny at gmx dot de> 314-1pclos2014
- 314

* Wed Feb 05 2014 ghostbunny <ghostbunny at gmx dot de> 311-1pclos2014
- 311

* Sat Jul 06 2013 ghostbunny <ghostbunny at gmx dot de> 310-1pclos2013
- 310
- made files section easier

* Wed Mar 06 2013 ghostbunny <ghostbunny at gmx dot de> 309-1pclos2013
- 309

* Wed Aug 01 2012 Neal <nealbrks0 at gmail dot com> 308-1pclos2012
- process

* Wed Aug 01 2012 ghostbunny <ghostbunny at gmx dot de> 308-1pclos2012
- 308

* Mon Apr 16 2012 Neal <nealbrks0 at gmail.com> 307-3pclos2012
- process

* Mon Apr 16 2012 ghostbunny <ghostbunny at gmx dot de> 307-3pclos2012
- fixed start script again

* Tue Apr 09 2012 ghostbunny <ghostbunny at gmx dot de> 307-2pclos2012
- fixed start script which does not work after a java update

* Thu Feb 09 2012 Neal <nealbrks0 at gmail dot com> 307-1pclos2012
- process

* Thu Feb 09 2012 ghostbunny <ghostbunny at gmx dot de> 307-1pclos2012
- 3.0.7
- set BuildArch to noarch because it is an java app

* Thu Feb 02 2012 ghostbunny <ghostbunny at gmx dot de> 306-1pclos2012
- switched release back to 1
- commented part for jikes.help files (not in source)
- added part for slovak language (new in source)
- added german summary, description and Comment in desktop file
- changed directory structur for source (new sub folders)

* Fri Oct 15 2010 Texstar <texstar at gmail.com> 302-2pclos2010
- add explicit java dependencies

* Wed Oct 13 2010 Texstar <texstar at gmail.com> 302-1pclos2010
- create package

